Skip to main content
POST
Kling text-to-video

Авторизации

Authorization
string
header
обязательно

Authenticate with a Bearer Token. Format: Authorization: Bearer sk-xxxxxx

Тело

application/json

Video generation request

model
string

Model/style ID

Пример:

"kling-v1"

prompt
string

Text prompt

Пример:

"An astronaut stands up and walks away"

image
string

Image input (URL or Base64)

Пример:

"https://example.com/image.jpg"

duration
number

Video duration in seconds

Пример:

5

width
integer

Video width

Пример:

1280

height
integer

Video height

Пример:

720

fps
integer

Video frame rate

Пример:

30

seed
integer

Random seed

Пример:

20231234

n
integer

Number of videos to generate

Пример:

1

response_format
string

Response format

Пример:

"url"

user
string

User identifier

Пример:

"user-1234"

metadata
object

Extended parameters, such as negative_prompt, style, quality_level, and others

Ответ

Video generation task created successfully

Video generation task submission response

task_id
string

Task ID

Пример:

"abcd1234efgh"

status
string

Task status

Пример:

"queued"